summaryrefslogtreecommitdiff
path: root/dev-lang/tcc
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /dev-lang/tcc
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'dev-lang/tcc')
-rw-r--r--dev-lang/tcc/Manifest3
-rw-r--r--dev-lang/tcc/metadata.xml9
-rw-r--r--dev-lang/tcc/tcc-0.9.27_p20211022.ebuild95
-rw-r--r--dev-lang/tcc/tcc-0.9.27_p20230223.ebuild95
-rw-r--r--dev-lang/tcc/tcc-0.9.27_p20250608-r1.ebuild99
-rw-r--r--dev-lang/tcc/tcc-0.9.27_p20250608.ebuild95
-rw-r--r--dev-lang/tcc/tcc-9999.ebuild99
7 files changed, 495 insertions, 0 deletions
diff --git a/dev-lang/tcc/Manifest b/dev-lang/tcc/Manifest
new file mode 100644
index 000000000000..8a8c42097f77
--- /dev/null
+++ b/dev-lang/tcc/Manifest
@@ -0,0 +1,3 @@
+DIST tcc-0.9.27_p20211022.tar.gz 893631 BLAKE2B f1a82498db65a9944f04a6c35897db6ceeea0e5d14ac383acc6b334fb2aa921a0e7b4badf647c101d064ceae1ee8d79ab91674a2d0faa2899b831a57e6148174 SHA512 5f40a0d31d63e876d1fb233758d9f58be2f14807bbc0847b7df3eb6bb8df0946100b58edb5a29caea8770201d02275daf0a3ca7668141151e931204ad7100fb3
+DIST tcc-0.9.27_p20230223.tar.gz 944179 BLAKE2B a8f77baf53846987f15a9005e100f109458e89805f0a6c7daafa55f8c22e0b47ca034cd8332839ef2a9e5840baa963e8a9185aa7fe4640ff89e5225f5be201b1 SHA512 335e40229572fa2dad82485d357349e26f4c999ea6622d3d3caa4b8eef357b2c5b56f76565e98073e57691b9adc919ded88ff015f9a95a86ce453392938b42f4
+DIST tcc-0.9.27_p20250608.tar.gz 979051 BLAKE2B d3a090a81787c122300f03fe294b9a0e385c8e1c58d4f95b0497e1108fac3f394914885f0f0784d6e5c40851756c4d56fb130b660d2bd955f3f7d01887066fa3 SHA512 7df9b49c7c794a15c87cf61c3fe5043c8da4dab704ef87f80764f15d198cba7922b1f50b9aadfb0676a46d82cf21703625c170b87df9d2577ac4eeb7bd82abf3
diff --git a/dev-lang/tcc/metadata.xml b/dev-lang/tcc/metadata.xml
new file mode 100644
index 000000000000..be783bae8849
--- /dev/null
+++ b/dev-lang/tcc/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>dlan@gentoo.org</email>
+ <name>Yixun Lan</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-lang/tcc/tcc-0.9.27_p20211022.ebuild b/dev-lang/tcc/tcc-0.9.27_p20211022.ebuild
new file mode 100644
index 000000000000..7c01677a55d2
--- /dev/null
+++ b/dev-lang/tcc/tcc-0.9.27_p20211022.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+MY_COMMIT="16456168430c9e185dd94b8215aa77d02bbb8a2c"
+DESCRIPTION="A very small C compiler for ix86/amd64"
+HOMEPAGE="https://bellard.org/tcc/ https://repo.or.cz/tinycc.git/"
+
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://repo.or.cz/r/tinycc.git"
+ inherit git-r3
+elif [[ ${PV} == *_p* ]] ; then
+ SRC_URI="https://repo.or.cz/tinycc.git/snapshot/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}"/tinycc-1645616
+else
+ SRC_URI="https://download.savannah.gnu.org/releases/tinycc/${P}.tar.bz2"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="amd64 ~arm64 ~riscv ~x86"
+fi
+
+BDEPEND="dev-lang/perl" # doc generation
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+ default
+
+ # Don't strip
+ sed -i \
+ -e 's|$(INSTALL) -s|$(INSTALL)|' \
+ -e 's|STRIP_yes = -s|STRIP_yes =|' \
+ Makefile || die
+
+ # Fix examples
+ sed -i -e '1{
+ i#! /usr/bin/tcc -run
+ /^#!/d
+ }' examples/ex*.c || die
+ sed -i -e '1s/$/ -lX11/' examples/ex4.c || die
+
+ # bug 888115
+ sed -i -e "s|/usr/local/bin/tcc|/usr/bin/tcc|g" tcc-doc.texi || die
+
+ # Fix texi2html invocation
+ sed -i -e 's/-number//' Makefile || die
+ sed -i -e 's/--sections//' Makefile || die
+}
+
+src_configure() {
+ # fails tests
+ # https://bugs.gentoo.org/866815
+ #
+ # Also distributes static libraries:
+ # https://bugs.gentoo.org/926120
+ filter-lto
+
+ local libc
+
+ use test && unset CFLAGS LDFLAGS # Tests run with CC=tcc etc, they will fail hard otherwise
+ # better fixes welcome, it feels wrong to hack the env like this
+
+ use elibc_musl && libc=musl
+
+ # not autotools, so call configure directly
+ ./configure --cc="$(tc-getCC)" \
+ ${libc:+--config-${libc}} \
+ --prefix="${EPREFIX}/usr" \
+ --libdir="${EPREFIX}/usr/$(get_libdir)" \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}"
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)" LDFLAGS="${LDFLAGS}"
+}
+
+src_test() {
+ # this is using tcc bits that don't know as-needed etc.
+ TCCFLAGS="" emake test
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ dodoc Changelog README TODO VERSION
+ #dohtml tcc-doc.html
+ exeinto /usr/share/doc/${PF}/examples
+ doexe examples/ex*.c
+}
diff --git a/dev-lang/tcc/tcc-0.9.27_p20230223.ebuild b/dev-lang/tcc/tcc-0.9.27_p20230223.ebuild
new file mode 100644
index 000000000000..b8ab7618db02
--- /dev/null
+++ b/dev-lang/tcc/tcc-0.9.27_p20230223.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+MY_COMMIT="29ae3ed4d5b83eec43598d6cd7949bccb41c8083"
+DESCRIPTION="A very small C compiler for ix86/amd64"
+HOMEPAGE="https://bellard.org/tcc/ https://repo.or.cz/tinycc.git/"
+
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://repo.or.cz/r/tinycc.git"
+ inherit git-r3
+elif [[ ${PV} == *_p* ]] ; then
+ SRC_URI="https://repo.or.cz/tinycc.git/snapshot/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}"/tinycc-29ae3ed
+else
+ SRC_URI="https://download.savannah.gnu.org/releases/tinycc/${P}.tar.bz2"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+fi
+
+BDEPEND="dev-lang/perl" # doc generation
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+ default
+
+ # Don't strip
+ sed -i \
+ -e 's|$(INSTALL) -s|$(INSTALL)|' \
+ -e 's|STRIP_yes = -s|STRIP_yes =|' \
+ Makefile || die
+
+ # Fix examples
+ sed -i -e '1{
+ i#! /usr/bin/tcc -run
+ /^#!/d
+ }' examples/ex*.c || die
+ sed -i -e '1s/$/ -lX11/' examples/ex4.c || die
+
+ # bug 888115
+ sed -i -e "s|/usr/local/bin/tcc|/usr/bin/tcc|g" tcc-doc.texi || die
+
+ # Fix texi2html invocation
+ sed -i -e 's/-number//' Makefile || die
+ sed -i -e 's/--sections//' Makefile || die
+}
+
+src_configure() {
+ # fails tests
+ # https://bugs.gentoo.org/866815
+ #
+ # Also distributes static libraries:
+ # https://bugs.gentoo.org/926120
+ filter-lto
+
+ local libc
+
+ use test && unset CFLAGS LDFLAGS # Tests run with CC=tcc etc, they will fail hard otherwise
+ # better fixes welcome, it feels wrong to hack the env like this
+
+ use elibc_musl && libc=musl
+
+ # not autotools, so call configure directly
+ ./configure --cc="$(tc-getCC)" \
+ ${libc:+--config-${libc}} \
+ --prefix="${EPREFIX}/usr" \
+ --libdir="${EPREFIX}/usr/$(get_libdir)" \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}"
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)" LDFLAGS="${LDFLAGS}"
+}
+
+src_test() {
+ # this is using tcc bits that don't know as-needed etc.
+ TCCFLAGS="" emake test
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ dodoc Changelog README TODO VERSION
+ #dohtml tcc-doc.html
+ exeinto /usr/share/doc/${PF}/examples
+ doexe examples/ex*.c
+}
diff --git a/dev-lang/tcc/tcc-0.9.27_p20250608-r1.ebuild b/dev-lang/tcc/tcc-0.9.27_p20250608-r1.ebuild
new file mode 100644
index 000000000000..bb4fb5ee5285
--- /dev/null
+++ b/dev-lang/tcc/tcc-0.9.27_p20250608-r1.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+MY_COMMIT="59aecdb5392dd9c2178af379c35c7d5ebf0762ae"
+DESCRIPTION="A very small C compiler for ix86/amd64"
+HOMEPAGE="https://bellard.org/tcc/ https://repo.or.cz/tinycc.git/"
+
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://repo.or.cz/r/tinycc.git"
+ inherit git-r3
+elif [[ ${PV} == *_p* ]] ; then
+ SRC_URI="https://repo.or.cz/tinycc.git/snapshot/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}"/tinycc-59aecdb
+else
+ SRC_URI="https://download.savannah.gnu.org/releases/tinycc/${P}.tar.bz2"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+fi
+
+BDEPEND="dev-lang/perl" # doc generation
+IUSE="hardened test"
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+ default
+
+ # Don't strip
+ sed -i \
+ -e 's|$(INSTALL) -s|$(INSTALL)|' \
+ -e 's|STRIP_yes = -s|STRIP_yes =|' \
+ Makefile || die
+
+ # Fix examples
+ sed -i -e '1{
+ i#! /usr/bin/tcc -run
+ /^#!/d
+ }' examples/ex*.c || die
+ sed -i -e '1s/$/ -lX11/' examples/ex4.c || die
+
+ # bug 888115
+ sed -i -e "s|/usr/local/bin/tcc|/usr/bin/tcc|g" tcc-doc.texi || die
+
+ # Fix texi2html invocation
+ sed -i -e 's/-number//' Makefile || die
+ sed -i -e 's/--sections//' Makefile || die
+}
+
+src_configure() {
+ # fails tests
+ # https://bugs.gentoo.org/866815
+ #
+ # Also distributes static libraries:
+ # https://bugs.gentoo.org/926120
+ filter-lto
+
+ local libc
+
+ use test && unset CFLAGS LDFLAGS # Tests run with CC=tcc etc, they will fail hard otherwise
+ # better fixes welcome, it feels wrong to hack the env like this
+
+ use elibc_musl && libc=musl
+
+ # not autotools, so call configure directly
+ #
+ # --with-selinux actually controls using mmap vs malloc for
+ # executable memory with -run, so gate it on USE=hardened instead.
+ ./configure --cc="$(tc-getCC)" \
+ ${libc:+--config-${libc}} \
+ --prefix="${EPREFIX}/usr" \
+ --libdir="${EPREFIX}/usr/$(get_libdir)" \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}" \
+ $(usev hardened '--with-selinux')
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)" LDFLAGS="${LDFLAGS}"
+}
+
+src_test() {
+ # this is using tcc bits that don't know as-needed etc.
+ TCCFLAGS="" emake test
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ dodoc Changelog README TODO VERSION
+ #dohtml tcc-doc.html
+ exeinto /usr/share/doc/${PF}/examples
+ doexe examples/ex*.c
+}
diff --git a/dev-lang/tcc/tcc-0.9.27_p20250608.ebuild b/dev-lang/tcc/tcc-0.9.27_p20250608.ebuild
new file mode 100644
index 000000000000..1b317137bf37
--- /dev/null
+++ b/dev-lang/tcc/tcc-0.9.27_p20250608.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+MY_COMMIT="59aecdb5392dd9c2178af379c35c7d5ebf0762ae"
+DESCRIPTION="A very small C compiler for ix86/amd64"
+HOMEPAGE="https://bellard.org/tcc/ https://repo.or.cz/tinycc.git/"
+
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://repo.or.cz/r/tinycc.git"
+ inherit git-r3
+elif [[ ${PV} == *_p* ]] ; then
+ SRC_URI="https://repo.or.cz/tinycc.git/snapshot/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}"/tinycc-59aecdb
+else
+ SRC_URI="https://download.savannah.gnu.org/releases/tinycc/${P}.tar.bz2"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="amd64 ~arm64 ~riscv ~x86"
+fi
+
+BDEPEND="dev-lang/perl" # doc generation
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+ default
+
+ # Don't strip
+ sed -i \
+ -e 's|$(INSTALL) -s|$(INSTALL)|' \
+ -e 's|STRIP_yes = -s|STRIP_yes =|' \
+ Makefile || die
+
+ # Fix examples
+ sed -i -e '1{
+ i#! /usr/bin/tcc -run
+ /^#!/d
+ }' examples/ex*.c || die
+ sed -i -e '1s/$/ -lX11/' examples/ex4.c || die
+
+ # bug 888115
+ sed -i -e "s|/usr/local/bin/tcc|/usr/bin/tcc|g" tcc-doc.texi || die
+
+ # Fix texi2html invocation
+ sed -i -e 's/-number//' Makefile || die
+ sed -i -e 's/--sections//' Makefile || die
+}
+
+src_configure() {
+ # fails tests
+ # https://bugs.gentoo.org/866815
+ #
+ # Also distributes static libraries:
+ # https://bugs.gentoo.org/926120
+ filter-lto
+
+ local libc
+
+ use test && unset CFLAGS LDFLAGS # Tests run with CC=tcc etc, they will fail hard otherwise
+ # better fixes welcome, it feels wrong to hack the env like this
+
+ use elibc_musl && libc=musl
+
+ # not autotools, so call configure directly
+ ./configure --cc="$(tc-getCC)" \
+ ${libc:+--config-${libc}} \
+ --prefix="${EPREFIX}/usr" \
+ --libdir="${EPREFIX}/usr/$(get_libdir)" \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}"
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)" LDFLAGS="${LDFLAGS}"
+}
+
+src_test() {
+ # this is using tcc bits that don't know as-needed etc.
+ TCCFLAGS="" emake test
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ dodoc Changelog README TODO VERSION
+ #dohtml tcc-doc.html
+ exeinto /usr/share/doc/${PF}/examples
+ doexe examples/ex*.c
+}
diff --git a/dev-lang/tcc/tcc-9999.ebuild b/dev-lang/tcc/tcc-9999.ebuild
new file mode 100644
index 000000000000..44354d90c145
--- /dev/null
+++ b/dev-lang/tcc/tcc-9999.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic toolchain-funcs
+
+MY_COMMIT="16456168430c9e185dd94b8215aa77d02bbb8a2c"
+DESCRIPTION="A very small C compiler for ix86/amd64"
+HOMEPAGE="https://bellard.org/tcc/ https://repo.or.cz/tinycc.git/"
+
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://repo.or.cz/r/tinycc.git"
+ inherit git-r3
+elif [[ ${PV} == *_p* ]] ; then
+ SRC_URI="https://repo.or.cz/tinycc.git/snapshot/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}"/tinycc-1645616
+else
+ SRC_URI="https://download.savannah.gnu.org/releases/tinycc/${P}.tar.bz2"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+fi
+
+BDEPEND="dev-lang/perl" # doc generation
+IUSE="hardened test"
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+ default
+
+ # Don't strip
+ sed -i \
+ -e 's|$(INSTALL) -s|$(INSTALL)|' \
+ -e 's|STRIP_yes = -s|STRIP_yes =|' \
+ Makefile || die
+
+ # Fix examples
+ sed -i -e '1{
+ i#! /usr/bin/tcc -run
+ /^#!/d
+ }' examples/ex*.c || die
+ sed -i -e '1s/$/ -lX11/' examples/ex4.c || die
+
+ # bug 888115
+ sed -i -e "s|/usr/local/bin/tcc|/usr/bin/tcc|g" tcc-doc.texi || die
+
+ # Fix texi2html invocation
+ sed -i -e 's/-number//' Makefile || die
+ sed -i -e 's/--sections//' Makefile || die
+}
+
+src_configure() {
+ # fails tests
+ # https://bugs.gentoo.org/866815
+ #
+ # Also distributes static libraries:
+ # https://bugs.gentoo.org/926120
+ filter-lto
+
+ local libc
+
+ use test && unset CFLAGS LDFLAGS # Tests run with CC=tcc etc, they will fail hard otherwise
+ # better fixes welcome, it feels wrong to hack the env like this
+
+ use elibc_musl && libc=musl
+
+ # not autotools, so call configure directly
+ #
+ # --with-selinux actually controls using mmap vs malloc for
+ # executable memory with -run, so gate it on USE=hardened instead.
+ ./configure --cc="$(tc-getCC)" \
+ ${libc:+--config-${libc}} \
+ --prefix="${EPREFIX}/usr" \
+ --libdir="${EPREFIX}/usr/$(get_libdir)" \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}" \
+ $(usev hardened '--with-selinux')
+}
+
+src_compile() {
+ emake AR="$(tc-getAR)" LDFLAGS="${LDFLAGS}"
+}
+
+src_test() {
+ # this is using tcc bits that don't know as-needed etc.
+ TCCFLAGS="" emake test
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ dodoc Changelog README TODO VERSION
+ #dohtml tcc-doc.html
+ exeinto /usr/share/doc/${PF}/examples
+ doexe examples/ex*.c
+}